Intermittent test-verify dom/workers/test/serviceworkers/test_unresolved_fetch_interception.html | Test timed out.

NEW
Unassigned

Status

()

Core
DOM: Workers
P5
normal
24 days ago
21 days ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

24 days ago
treeherder
Filed by: archaeopteryx [at] coole-files.de

https://treeherder.mozilla.org/logviewer.html#?job_id=139882258&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/LDaxqOb8Q7m46R-TVExn4g/runs/0/artifacts/public/test_info/plain_errorsummary.log

07:57:58     INFO - :::
07:57:58     INFO - ::: Running test verification step "1. Run each test 10 times in one browser."...
07:57:58     INFO - :::
07:57:58     INFO - Checking for ssltunnel processes...
07:57:58     INFO - Checking for xpcshell processes...
07:57:58     INFO - mozcrash Removed pending crash reports at '/Users/cltbld/Library/Application Support/firefox/Crash Reports'
07:57:59     INFO - SUITE-START | Running 1 tests
07:57:59     INFO - Running manifest: dom/workers/test/serviceworkers/mochitest.ini
07:57:59     INFO -  pk12util: PKCS12 IMPORT SUCCESSFUL
07:57:59     INFO - MochitestServer : launching [u'/Users/cltbld/tasks/task_1509028746/build/tests/bin/xpcshell', '-g', '/Users/cltbld/tasks/task_1509028746/build/application/Nightly.app/Contents/Resources', '-v', '170', '-f', '/Users/cltbld/tasks/task_1509028746/build/tests/bin/components/httpd.js', '-e', "const _PROFILE_PATH = '/var/folders/2q/rlv4457n4t73ywskk3p4d80800000w/T/tmp02tIQ0.mozrunner'; const _SERVER_PORT = '8888'; const _SERVER_ADDR = '127.0.0.1'; const _TEST_PREFIX = undefined; const _DISPLAY_RESULTS = false;", '-f', '/Users/cltbld/tasks/task_1509028746/build/tests/mochitest/server.js']
07:57:59     INFO - runtests.py | Server pid: 2153
07:57:59     INFO - runtests.py | Websocket server pid: 2154
07:57:59     INFO - runtests.py | SSL tunnel pid: 2155
07:57:59     INFO - runtests.py | Running with e10s: True
07:57:59     INFO - runtests.py | Running tests: start.
07:57:59     INFO - 
07:57:59     INFO - Application command: /Users/cltbld/tasks/task_1509028746/build/application/Nightly.app/Contents/MacOS/firefox -marionette -foreground -profile /var/folders/2q/rlv4457n4t73ywskk3p4d80800000w/T/tmp02tIQ0.mozrunner
07:57:59     INFO - runtests.py | Application pid: 2156
07:57:59     INFO - TEST-INFO | started process GECKO(2156)
07:58:00     INFO - GECKO(2156) | Unable to read VR Path Registry from /Users/cltbld/Library/Application Support/OpenVR/.openvr/openvrpaths.vrpath
07:58:00     INFO - GECKO(2156) | 1509029880546	Marionette	INFO	Enabled via --marionette
07:58:01     INFO - GECKO(2156) | Unable to read VR Path Registry from /Users/cltbld/Library/Application Support/OpenVR/.openvr/openvrpaths.vrpath
07:58:02     INFO - GECKO(2156) | 1509029881996	Marionette	INFO	Listening on port 2828
07:58:02     INFO - GECKO(2156) | 2017-10-26 07:58:02.005 plugin-container[2157:15512] *** CFMessagePort: bootstrap_register(): failed 1100 (0x44c) 'Permission denied', port = 0x9d4f, name = 'com.apple.tsm.portname'
07:58:02     INFO - GECKO(2156) | See /usr/include/servers/bootstrap_defs.h for the error codes.
07:58:02     INFO - GECKO(2156) | 1509029882173	Marionette	DEBUG	Register listener.js for window 2147483649
07:58:02     INFO - SimpleTest START


...

07:58:04     INFO - SimpleTest START Loop 4
07:58:04     INFO - TEST-START | dom/workers/test/serviceworkers/test_unresolved_fetch_interception.html
08:03:04     INFO - TEST-INFO | started process screencapture
08:03:04     INFO - TEST-INFO | screencapture: exit 0
08:03:04     INFO - Buffered messages logged at 07:58:04
08:03:04     INFO - SpawnTask.js | Entering test setupPrefs
08:03:04     INFO - SpawnTask.js | Leaving test setupPrefs
08:03:04     INFO - SpawnTask.js | Entering test grace_timeout_termination_with_interrupted_intercept
08:03:04     INFO - TEST-PASS | dom/workers/test/serviceworkers/test_unresolved_fetch_interception.html | Controlled 
08:03:04     INFO - monitorConsole | [0] matched {"message":"[JavaScript Error: \"Terminating ServiceWorker for scope ‘http://mochi.test:8888/tests/dom/workers/test/serviceworkers/’ with pending waitUntil/respondWith promises because of grace timeout.\" {file: \"http://mochi.test:8888/tests/dom/workers/test/serviceworkers/test_unresolved_fetch_interception.html\" line: 0}]","errorMessage":"Terminating ServiceWorker for scope ‘http://mochi.test:8888/tests/dom/workers/test/serviceworkers/’ with pending waitUntil/respondWith promises because of grace timeout.","sourceName":"http://mochi.test:8888/tests/dom/workers/test/serviceworkers/test_unresolved_fetch_interception.html","sourceLine":"","lineNumber":0,"columnNumber":0,"category":"Service Workers","windowID":2147483653,"isScriptError":true,"isWarning":false,"isException":false,"isStrict":false,"innerWindowID":2147483662}
08:03:04     INFO - Buffered messages finished
08:03:04     INFO - TEST-UNEXPECTED-FAIL | dom/workers/test/serviceworkers/test_unresolved_fetch_interception.html | Test timed out. 
08:03:04     INFO -     reportError@SimpleTest/TestRunner.js:121:7
08:03:04     INFO -     TestRunner._checkForHangs@SimpleTest/TestRunner.js:142:7
08:03:04     INFO -     setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
08:03:04     INFO -     setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
08:03:04     INFO -     setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
08:03:04     INFO -     setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
08:03:04     INFO -     setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
08:03:04     INFO -     setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
08:03:04     INFO -     setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
08:03:04     INFO -     setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
08:03:04     INFO -     setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
08:03:04     INFO -     setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
08:03:04     INFO -     TestRunner.resetTests@SimpleTest/TestRunner.js:397:3
08:03:04     INFO -     TestRunner.runNextTest@SimpleTest/TestRunner.js:483:11
08:03:04     INFO -     TestRunner.testUnloaded@SimpleTest/TestRunner.js:677:9
08:03:04     INFO -     @SimpleTest/iframe-between-tests.html:11:3
08:03:04     INFO -     EventListener.handleEvent*@SimpleTest/iframe-between-tests.html:9:1

Comment 1

21 days ago
4 failures in 912 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 4

Platform breakdown:
* windows10-64: 2
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1412226&startday=2017-10-23&endday=2017-10-29&tree=all
You need to log in before you can comment on or make changes to this bug.